# OpalMediaOptionRealValue Class Reference

`#include <mediafmt.h>`

## Public Member Functions

| OpalMediaOptionRealValue (double value=0)
| operator double () const
void | operator &= (double other)

## Friends

ostream & | operator<< (ostream &strm, const OpalMediaOptionRealValue &value)
istream & | operator>> (istream &strm, OpalMediaOptionRealValue &value)

## Constructor & Destructor Documentation

OpalMediaOptionRealValue::OpalMediaOptionRealValue | ( | double | value = `0` | ) | `[inline]`

## Member Function Documentation

void OpalMediaOptionRealValue::operator &= | ( | double | other | ) | `[inline]`

OpalMediaOptionRealValue::operator double | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const OpalMediaOptionRealValue & | value |
| ) |  |  | `[friend]`

istream& operator>> | ( | istream & | strm,
|  | OpalMediaOptionRealValue & | value |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- mediafmt.h